CREATE OR REPLACE VIEW V_KNJIZBE AS (
SELECT KN.CTRL, KN.IDMASTER, KN.PARTNER, KN.KONTO, KN.STRAN, KN.BZNESEK, KN.DZNESEK, KN.BZNESEKSIT, KN.DZNESEKSIT, KN.ID_SALDKONT, KN.TIPKNJ, KN.DATUMK, KN.DATUMV, KN.TEKST, KN.RAZMEJITEV, KN.PROCENT_DAVKA,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, SF.CTRL AS SIFKONT_CTRL, SF.OZNAKA AS SIFKONT_OZNAKA, SF.NAZIV AS SIFKONT_NAZIV, SF.DELOVNA_GRUPA AS SIFKONT_DELOVNA_GRUPA,
NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, SA.NAZIV1 AS ARTIKLI_NAZIV1, SD.KOMENTAR AS SALDKONT_KOMENTAR, SD.R_EXPORT_NR AS SALDKONT_EXPORT_NR, 
SD.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, SD.NNLOCATION_ID AS SALDKONT_NNLOCATION_ID, RD.ID_DAVEK AS RACUN_DATA_ID_DAVEK, RSD.OPIS AS RACUN_DATA_DAVEK_OPIS, NPC.PROFITNI_CENTER AS NNPC_PROFITNI_CENTER
FROM KNJIZBE KN
LEFT OUTER JOIN KUPCI KU ON KU.ID = KN.PARTNER
LEFT OUTER JOIN SIFKONT SF ON SF.CTRL = KN.KONTO
LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = KN.SIFRA_STOR
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = KN.ID_ARTIKEL
LEFT OUTER JOIN SALDKONT SD ON SD.ID_SALDKONT = KN.ID_SALDKONT
LEFT OUTER JOIN RACUN_DATA RD ON RD.ID_RACUN_DATA = KN.IDGROUP
LEFT OUTER JOIN S_DAVEK RSD ON RSD.ID_DAVEK = RD.ID_DAVEK
LEFT OUTER JOIN NNPC NPC ON NPC.SIFRA = KN.OE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1220, SYSDATE, '5.5', 1140, 'VKnjizbe nnpc')
;