ALTER TABLE ALARM_DATA
ADD ID_TIMER_DATA NUMBER;

ALTER TABLE ALARM_DATA
ADD NNLOCATION_ID NUMBER;

ALTER TABLE ALARM_HISTORY
ADD ID_TIMER_DATA NUMBER;

ALTER TABLE ALARM_HISTORY
ADD NNLOCATION_ID NUMBER;

CREATE OR REPLACE VIEW V_ALARM_RECEIVE AS (
	SELECT ARD.ID_ALARM_RECIEVE_DET AS ID, ARD.ID_ALARM_RECIEVE_DET, ARD.ID_ALARM_RECIEVE, ARD.USER_RECIEVE, ARD.DATE_RECIEVE, AR.ID_ALARM, AR.RECIEVE_TYPE, AR.RECIEVE_DATA, 
  AD.SFALARM, AD.SFMODULE, AD.DATUM_KREIRANJA, AD.USER_KREIRANJA, AD.DATUM_ZAPADLOST, AD.SFTRIGGER, AD.USER_MESSAGE, AD.ASOCIATED_TABLE, AD.NNLOCATION_ID,
  AD.ASOCIATED_DATA, AD.STATUS, AD.DATA_CHECK, (CASE WHEN ARD.DATE_RECIEVE IS NULL THEN 'Y' ELSE 'N' END) AS UNCONFIRMED, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.ID_MEMBER AS KUPCI_ID_MEMBER,
  P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME
  FROM ALARM_RECIEVE_DETAIL ARD
  INNER JOIN ALARM_RECIEVE AR ON AR.ID_ALARM_RECIEVE = ARD.ID_ALARM_RECIEVE
  INNER JOIN ALARM_DATA AD ON AD.ID_ALARM = AR.ID_ALARM
  LEFT OUTER JOIN KUPCI K ON K.ID = AD.ASOCIATED_DATA AND AD.ASOCIATED_TABLE = 'KUPCI'
  LEFT OUTER JOIN PLOVILA P ON P.ID = AD.ASOCIATED_DATA AND AD.ASOCIATED_TABLE = 'PLOVILA'
  UNION ALL
  SELECT ARD.ID_ALARM_RECIEVE_DET AS ID, ARD.ID_ALARM_RECIEVE_DET, ARD.ID_ALARM_RECIEVE, ARD.USER_RECIEVE, ARD.DATE_RECIEVE, AR.ID_ALARM, AR.RECIEVE_TYPE, AR.RECIEVE_DATA, 
  AH.SFALARM, AH.SFMODULE, AH.DATUM_KREIRANJA, AH.USER_KREIRANJA, AH.DATUM_ZAPADLOST, AH.SFTRIGGER, AH.USER_MESSAGE, AH.ASOCIATED_TABLE, AH.NNLOCATION_ID,
  AH.ASOCIATED_DATA, AH.STATUS, AH.DATA_CHECK, 'N' AS UNCONFIRMED, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.ID_MEMBER AS KUPCI_ID_MEMBER,
  P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME
  FROM ALARM_RECIEVE_DETAIL ARD
  INNER JOIN ALARM_RECIEVE AR ON AR.ID_ALARM_RECIEVE = ARD.ID_ALARM_RECIEVE
  INNER JOIN ALARM_HISTORY AH ON AH.ID_ALARM = AR.ID_ALARM
  LEFT OUTER JOIN KUPCI K ON K.ID = AH.ASOCIATED_DATA AND AH.ASOCIATED_TABLE = 'KUPCI'
  LEFT OUTER JOIN PLOVILA P ON P.ID = AH.ASOCIATED_DATA AND AH.ASOCIATED_TABLE = 'PLOVILA'
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1263, SYSDATE, '5.5', 1183, 'Alarm timer')
;
