UPDATE NNTIP 
SET NNTIP_TYPE='GUEST'
WHERE (LOWER(OPIS) LIKE 'guest' OR LOWER(INTERNI_OPIS) LIKE 'guest')
AND NNTIP_TYPE IS NULL;

DROP VIEW V_BERTH_OWNER;

CREATE OR REPLACE VIEW V_BERTH_OWNER AS (
SELECT BO.ID, BO.ID_PRIVEZ, BO.ID_LASTNIKA, BO.DATE_FROM, BO.DATE_TO, BO.DATE_CREATED, BO.USER_CREATED, BO.DATE_CHANGED, BO.USER_CHANGED, BO.STATUS, BO."COMMENT", BO.TYPE,
BOT.OPIS AS BERTH_OWNER_TYPE_OPIS, BOT.INTERNI_OPIS AS BERTH_OWNER_TYPE_INTERNI_OPIS, 
NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NP.DOLZINA AS NNPRIVEZ_DOLZINA, NP.SIRINA AS NNPRIVEZ_SIRINA, NP.SORT AS NNPRIVEZ_SORT, 
NP.SORT_PRIKAZ AS NNPRIVEZ_SORT_PRIKAZ, PO.SIFRA AS NNPOMOL_SIFRA, PO.NAZIV AS NNPOMOL_NAZIV, PO.NNLOCATION_ID,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,  
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM BERTH_OWNER BO
LEFT OUTER JOIN BERTH_OWNER_TYPE BOT ON BOT.ID = BO.TYPE
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BO.ID_PRIVEZ
LEFT OUTER JOIN NNPOMOL PO ON PO.SIFRA = NP.KATEGORIJA
LEFT OUTER JOIN KUPCI K ON K.ID = BO.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1824, SYSDATE, '5.5', 1744, 'Berth owner')
;
